Calls
Update IVR flow
PUT
/
v1
/
ivr-flows
/
{flowID}
Update IVR flow
curl --request PUT \
--url https://api.wazapin.com/v1/ivr-flows/{flowID} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"graph": {},
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "<string>"
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
graph: {},
is_active: true,
is_call_start: true,
is_outgoing_end: true,
name: '<string>'
})
};
fetch('https://api.wazapin.com/v1/ivr-flows/{flowID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ivr-flows/{flowID}"
payload = {
"description": "<string>",
"graph": {},
"is_active": True,
"is_call_start": True,
"is_outgoing_end": True,
"name": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"description": "<string>",
"graph": {},
"id": "<string>",
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Flow ID
Body
application/json
⌘I
Update IVR flow
curl --request PUT \
--url https://api.wazapin.com/v1/ivr-flows/{flowID} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"graph": {},
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "<string>"
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
graph: {},
is_active: true,
is_call_start: true,
is_outgoing_end: true,
name: '<string>'
})
};
fetch('https://api.wazapin.com/v1/ivr-flows/{flowID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ivr-flows/{flowID}"
payload = {
"description": "<string>",
"graph": {},
"is_active": True,
"is_call_start": True,
"is_outgoing_end": True,
"name": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"description": "<string>",
"graph": {},
"id": "<string>",
"is_active": true,
"is_call_start": true,
"is_outgoing_end": true,
"name": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}